SMJS(1)

NAME
smjs - javascript shell

SYNOPSIS
smjs

DESCRIPTION
The "JS shell", a simple interpreter program that uses the JS API and more than a few internal interfaces (some of these internal interfaces could be replaced by jsapi.h calls). The js program built from this source provides a test vehicle for evaluating scripts and calling functions, trying out new debugger primitives, etc. It is not recommended for production use, as it contains dangerous (security-wise) debugging features.

AUTHOR
This manpage was originally written by Bastian Kleineidam <calvin@debian.org> for the Debian distribution of Spidermonkey, further modified by Mike Hommey <glandium@debian.org>. The main author of Spidermonkey is the Mozilla Project.